Bug 237846 - ufraw: missing exiv2 support
ufraw: missing exiv2 support
Product: Fedora
Classification: Fedora
Component: ufraw (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-04-25 13:28 EDT by Rex Dieter
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-26 09:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
initial patch, it at least compiles now. (1018 bytes, patch)
2007-04-25 14:14 EDT, Rex Dieter
no flags Details | Diff

  None (edit)
Description Rex Dieter 2007-04-25 13:28:09 EDT
Sorry, had only previously tested if the rebuild works, not functionality.

Rebuilding ufraw against exiv2-0.14 yields build.log containing:
checking whether to read raw EXIF data using exiv2... yes
checking for exiv2-config... no

problem being, exiv2 >= 0.14 no longer includes exiv2-config

I'll see about whipping up a patch for ufraw to use pkg-config instead.
Comment 1 Rex Dieter 2007-04-25 13:44:18 EDT
Sigh, if only it were that simple:
nikon_curve.c:2026: warning: ignoring return value of 'fread', declared with
attribute warn_unused_result
if g++ -DHAVE_CONFIG_H -I. -I. -I.    -ffast-math -fomit-frame-pointer -W -Wall
-O3   -I/usr/include/gimp-2.0 -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0
-I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/freetype2
-I/usr/include/libpng12   -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/freetype2
-I/usr/include/libpng12   -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include  
  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -MT ufraw_exiv2.o -MD -MP -MF
".deps/ufraw_exiv2.Tpo" -c -o ufraw_exiv2.o ufraw_exiv2.cc; \
        then mv -f ".deps/ufraw_exiv2.Tpo" ".deps/ufraw_exiv2.Po"; else rm -f
".deps/ufraw_exiv2.Tpo"; exit 1; fi
ufraw_exiv2.cc: In function 'int ufraw_exif_from_exiv2(ufraw_data*)':
ufraw_exiv2.cc:204: error: request for member 'c_str' in
which is of non-class type 'const char*'
Comment 2 Rex Dieter 2007-04-25 14:14:03 EDT
Created attachment 153434 [details]
initial patch, it at least compiles now.

runtime only mimimally tested.
Comment 3 Rex Dieter 2007-04-25 14:16:25 EDT
* Wed Apr 25 2007 Rex Dieter <rdieter[AT]fedoraproject> - 0.11-6
- initial exiv2 patch (#237846)

comitted to cvs, I'll leave the building/testing to you. :)
Comment 4 Rex Dieter 2007-04-25 14:25:22 EDT
Patch sent to ufraw-devel ml for review:
Comment 5 Rex Dieter 2007-04-26 09:37:28 EDT
sync'd patch with what upstream has. Now I'm more confident, so I'll go ahead
and queue the build...

Note You need to log in before you can comment on or make changes to this bug.